## skalibs 0.47

=== skalibs-0.47/src/libbiguint/Makefile ===
it: command include library library.so

clean: EXPORT INTERNAL
	rm -f `cat EXPORT INTERNAL`


biguint.h: uint32.h gccattributes.h
	touch biguint.h

bu_addc.o: compile bu_addc.c biguint.h uint32.h uint64.h
	./compile bu_addc.c

bu_addmod.o: compile bu_addmod.c biguint.h uint32.h
	./compile bu_addmod.c

bu_cmp.o: compile bu_cmp.c biguint.h uint32.h
	./compile bu_cmp.c

bu_copy.o: compile bu_copy.c biguint.h uint32.h
	./compile bu_copy.c

bu_div.o: compile bu_div.c biguint.h uint32.h
	./compile bu_div.c

bu_div_unsafe.o: compile bu_div_unsafe.c biguint.h uint32.h
	./compile bu_div_unsafe.c

bu_invmod.o: compile bu_invmod.c biguint.h uint32.h
	./compile bu_invmod.c

bu_divmod.o: compile bu_divmod.c biguint.h uint32.h
	./compile bu_divmod.c

bu_len.o: compile bu_len.c biguint.h uint32.h
	./compile bu_len.c

bu_mod.o: compile bu_mod.c biguint.h uint32.h
	./compile bu_mod.c

bu_mul.o: compile bu_mul.c biguint.h uint32.h uint64.h
	./compile bu_mul.c

bu_pack.o: compile bu_pack.c biguint.h uint32.h
	./compile bu_pack.c

bu_pack_big.o: compile bu_pack_big.c biguint.h uint32.h
	./compile bu_pack_big.c

bu_slbc.o: compile bu_slbc.c biguint.h uint32.h
	./compile bu_slbc.c

bu_srbc.o: compile bu_srbc.c biguint.h uint32.h
	./compile bu_srbc.c

bu_subc.o: compile bu_subc.c biguint.h uint32.h uint64.h
	./compile bu_subc.c

bu_submod.o: compile bu_submod.c biguint.h uint32.h
	./compile bu_submod.c

bu_unpack.o: compile bu_unpack.c biguint.h uint32.h
	./compile bu_unpack.c

bu_unpack_big.o: compile bu_unpack_big.c biguint.h uint32.h
	./compile bu_unpack_big.c

bu_zero.o: compile bu_zero.c biguint.h uint32.h
	./compile bu_zero.c

bu_fmt.o: compile bu_fmt.c biguint.h uint32.h fmtscan.h bytestr.h
	./compile bu_fmt.c

bu_scan.o: compile bu_scan.c biguint.h uint32.h fmtscan.h bytestr.h
	./compile bu_scan.c

libbiguint.a: makelib \
bu_addc.o bu_addmod.o bu_cmp.o bu_copy.o bu_div.o bu_div_unsafe.o \
bu_invmod.o bu_divmod.o bu_len.o bu_mod.o bu_mul.o bu_pack.o \
bu_pack_big.o bu_slbc.o bu_srbc.o bu_subc.o bu_submod.o \
bu_unpack.o bu_unpack_big.o bu_zero.o bu_fmt.o bu_scan.o
	./makelib libbiguint.a \
	bu_addc.o bu_addmod.o bu_cmp.o bu_copy.o bu_div.o bu_div_unsafe.o \
	bu_invmod.o bu_divmod.o bu_len.o bu_mod.o bu_mul.o bu_pack.o \
	bu_pack_big.o bu_slbc.o bu_srbc.o bu_subc.o bu_submod.o \
	bu_unpack.o bu_unpack_big.o bu_zero.o bu_fmt.o bu_scan.o


command:

include: biguint.h

library: libbiguint.a

library.so:

=== skalibs-0.47/src/libdatastruct/Makefile ===
it: command include library library.so

clean: EXPORT INTERNAL
	rm -f `cat EXPORT INTERNAL`


datastruct.h: avltree.h list1.h avlnodebunch.h avlnodealloc.h avlnode.h
	touch datastruct.h

list1.h: diuintbunch.h gccattributes.h
	touch list1.h

avlnodealloc.h: avlnode.h gen_alloc.h
	touch avlnodealloc.h

avlnodebunch.h: gen_bunch.h avlnodealloc.h avlnode.h
	touch avlnodebunch.h

avltree.h: avlnodebunch.h gccattributes.h
	touch avltree.h


avlnodealloc.o: compile avlnodealloc.c avlnodealloc.h avlnode.h gen_alloc.h
	./compile avlnodealloc.c

avlnodealloc_x.o: compile avlnodealloc_x.c avlnodealloc.h avlnode.h gen_alloc.h
	./compile avlnodealloc_x.c

avlnodebunch.o: compile avlnodebunch.c avlnodebunch.h gen_bunch.h avlnodealloc.h avlnode.h
	./compile avlnodebunch.c

list1.o: compile list1.c list1.h diuintbunch.h
	./compile list1.c

list1_delete.o: compile list1_delete.c list1.h diuintbunch.h
	./compile list1_delete.c

list1_insert.o: compile list1_insert.c list1.h diuintbunch.h
	./compile list1_insert.c

list1_iter.o: compile list1_iter.c list1.h
	./compile list1_iter.c

list1_search.o: compile list1_search.c list1.h
	./compile list1_search.c

avltree.o: compile avltree.c avltree.h avlnodebunch.h
	./compile avltree.c

avltree_height.o: compile avltree_insdel.c avltree.h avlnode.h
	./compile avltree_height.c

avltree_insdel.o: compile avltree_insdel.c avltree.h avlnodebunch.h avlnode.h
	./compile avltree_insdel.c

avltree_iter.o: compile avltree_iter.c avltree.h
	./compile avltree_iter.c

avltree_search.o: compile avltree_search.c avltree.h avlnode.h
	./compile avltree_search.c


libdatastruct.a: makelib \
avlnodealloc.o avlnodealloc_x.o avlnodebunch.o \
list1.o list1_delete.o list1_insert.o list1_iter.o list1_search.o \
avltree.o avltree_height.o avltree_insdel.o avltree_iter.o avltree_search.o
	./makelib libdatastruct.a \
	avlnodealloc.o avlnodealloc_x.o avlnodebunch.o \
	list1.o list1_delete.o list1_insert.o list1_iter.o list1_search.o \
	avltree.o avltree_height.o avltree_insdel.o avltree_iter.o avltree_search.o


command:

include: datastruct.h avlnode.h avlnodealloc.h avlnodebunch.h list1.h avltree.h

library: libdatastruct.a

library.so:

=== skalibs-0.47/src/libdns/Makefile ===
it: command include library library.so

clean: EXPORT INTERNAL
	rm -f `cat EXPORT INTERNAL`


dns.h: dns_helper.h dns_transmit.h
	touch dns.h

dns_helper.h: gccattributes.h bytestr.h stralloc.h
	touch dns_helper.h

dns_transmit.h: stralloc.h gen_alloc.h tai.h iopause.h
	touch dns_transmit.h

dns_dfd.o: compile dns_dfd.c dns_helper.h error.h alloc.h bytestr.h
	./compile dns_dfd.c

dns_domain_copy.o: compile dns_domain_copy.c dns_helper.h alloc.h bytestr.h
	./compile dns_domain_copy.c

dns_domain_free.o: compile dns_domain_free.c dns_helper.h alloc.h
	./compile dns_domain_free.c

dns_domain_length.o: compile dns_domain_length.c dns_helper.h
	./compile dns_domain_length.c

dns_domain_suffix.o: compile dns_domain_suffix.c dns_helper.h
	./compile dns_domain_suffix.c

dns_domain_suffixpos.o: compile dns_domain_suffixpos.c dns_helper.h
	./compile dns_domain_suffixpos.c

dns_dtda.o: compile dns_dtda.c dns_helper.h stralloc.h
	./compile dns_dtda.c

dns_ip4.o: compile dns_ip4.c dns.h stralloc.h
	./compile dns_ip4.c

dns_ip4b.o: compile dns_ip4b.c dns.h stralloc.h
	./compile dns_ip4b.c

dns_ip_p.o: compile dns_ip_p.c dns_helper.h stralloc.h bytestr.h uint16.h
	./compile dns_ip_p.c

dns_ipq.o: compile dns_ipq.c dns_transmit.h stralloc.h
	./compile dns_ipq.c

dns_ipqb.o: compile dns_ipqb.c dns_transmit.h skamisc.h stralloc.h
	./compile dns_ipqb.c

dns_ipqb_r_tmp.o: compile dns_ipqb_r_tmp.c dns_transmit.h stralloc.h
	./compile dns_ipqb_r_tmp.c

dns_ipq_rules.o: compile dns_ipq_rules.c dns_transmit.h stralloc.h bytestr.h
	./compile dns_ipq_rules.c

dns_ipq_rulesb.o: compile dns_ipq_rulesb.c dns_transmit.h stralloc.h
	./compile dns_ipq_rulesb.c

dns_mx.o: compile dns_mx.c dns.h stralloc.h
	./compile dns_mx.c

dns_mx_p.o: compile dns_mx_p.c dns_helper.h stralloc.h bytestr.h uint16.h
	./compile dns_mx_p.c

dns_name.o: compile dns_name.c dns.h stralloc.h
	./compile dns_name.c

dns_name_p.o: compile dns_name_p.c dns_helper.h stralloc.h bytestr.h uint16.h
	./compile dns_name_p.c

dns_nd.o: compile dns_nd.c dns_helper.h fmtscan.h bytestr.h
	./compile dns_nd.c

dns_packet_copy.o: compile dns_packet_copy.c dns_helper.h error.h bytestr.h
	./compile dns_packet_copy.c

dns_packet_getname.o: compile dns_packet_getname.c dns_helper.h error.h
	./compile dns_packet_getname.c

dns_packet_skipname.o: compile dns_packet_skipname.c dns_helper.h error.h
	./compile dns_packet_skipname.c

dns_rcip.o: compile dns_rcip.c dns_transmit.h bytestr.h
	./compile dns_rcip.c

dns_rcipit.o: compile dns_rcipit.c dns_transmit.h djbunix.h tai.h fmtscan.h bytestr.h
	./compile dns_rcipit.c

dns_rcip_info_here.o: compile dns_rcip_info_here.c dns_transmit.h
	./compile dns_rcip_info_here.c

dns_rcrw_info_here.o: compile dns_rcrw_info_here.c dns_transmit.h
	./compile dns_rcrw_info_here.c

dns_rcrw_info_free.o: compile dns_rcrw_info_free.c dns_transmit.h stralloc.h tai.h
	./compile dns_rcrw_info_free.c

dns_rcrw.o: compile dns_rcrw.c dns_transmit.h skamisc.h stralloc.h
	./compile dns_rcrw.c

dns_rcrwit.o: compile dns_rcrwit.c dns_transmit.h skamisc.h
	./compile dns_rcrwit.c

dns_rcrwit_tmp.o: compile dns_rcrwit_tmp.c dns_transmit.h djbunix.h env.h tai.h stralloc.h bytestr.h
	./compile dns_rcrwit_tmp.c

dns_resolve.o: compile dns_resolve.c dns_transmit.h
	./compile dns_resolve.c

dns_resolve_r.o: compile dns_resolve_r.c dns_transmit.h iopause.h tai.h
	./compile dns_resolve_r.c

dns_sortip.o: compile dns_sortip.c dns_helper.h random.h bytestr.h
	./compile dns_sortip.c

dns_transmit.o: compile dns_transmit.c dns.h socket.h random.h iopause.h tai.h error.h bytestr.h alloc.h allreadwrite.h uint16.h
	./compile dns_transmit.c

dns_txt.o: compile dns_txt.c dns.h stralloc.h
	./compile dns_txt.c

dns_txt_p.o: compile dns_txt_p.c dns_helper.h stralloc.h bytestr.h uint16.h
	./compile dns_txt_p.c

libdns.a: makelib dns_dfd.o dns_domain_copy.o \
dns_domain_free.o dns_domain_length.o dns_domain_suffix.o \
dns_domain_suffixpos.o dns_dtda.o dns_ip4.o dns_ip4b.o dns_ip_p.o \
dns_ipq.o dns_ipqb.o dns_ipqb_r_tmp.o dns_ipq_rules.o dns_ipq_rulesb.o \
dns_mx.o dns_mx_p.o dns_name.o dns_name_p.o dns_nd.o \
dns_packet_copy.o dns_packet_getname.o dns_packet_skipname.o \
dns_rcip.o dns_rcipit.o dns_rcip_info_here.o \
dns_rcrw_info_here.o dns_rcrw_info_free.o dns_rcrw.o dns_rcrwit.o dns_rcrwit_tmp.o \
dns_resolve.o dns_resolve_r.o dns_sortip.o dns_transmit.o \
dns_txt.o dns_txt_p.o
	./makelib libdns.a \
	dns_dfd.o dns_domain_copy.o \
	dns_domain_free.o dns_domain_length.o dns_domain_suffix.o \
	dns_domain_suffixpos.o dns_dtda.o dns_ip4.o dns_ip4b.o dns_ip_p.o \
	dns_ipq.o dns_ipqb.o dns_ipqb_r_tmp.o dns_ipq_rules.o dns_ipq_rulesb.o \
	dns_mx.o dns_mx_p.o dns_name.o dns_name_p.o dns_nd.o \
	dns_packet_copy.o dns_packet_getname.o dns_packet_skipname.o \
	dns_rcip.o dns_rcipit.o dns_rcip_info_here.o \
	dns_rcrw_info_here.o dns_rcrw_info_free.o dns_rcrw.o dns_rcrwit.o dns_rcrwit_tmp.o \
	dns_resolve.o dns_resolve_r.o dns_sortip.o dns_transmit.o \
	dns_txt.o dns_txt_p.o


command:

include: dns.h dns_helper.h dns_transmit.h

library: libdns.a

library.so:

=== skalibs-0.47/src/librandom/Makefile ===
it: command include library library.so

clean: EXPORT INTERNAL
	rm -f `cat EXPORT INTERNAL`


random-internal.h: rrandom.h unirandom.h surf.h gccattributes.h
	touch random-internal.h


surf.h: uint32.h
	touch surf.h

surf_sinit.o: compile surf_sinit.c surf.h uint32.h
	./compile surf_sinit.c

surf.o: compile surf.c surf.h uint32.h bytestr.h
	./compile surf.c

surf_makeseed.o: compile surf_makeseed.c surf.h sha1.h tai.h uint32.h
	./compile surf_makeseed.c

surf_init.o: compile surf_init.c surf.h
	./compile surf_init.c

surf_autoinit.o: compile surf_autoinit.c surf.h
	./compile surf_autoinit.c


unisurf.h: unirandom.h
	touch unisurf.h

unisurf.o: compile unisurf.c unisurf.h unirandom.h surf.h
	./compile unisurf.c

unisurf_init.o: compile unisurf_init.c unisurf.h unirandom.h random-internal.h surf.h
	./compile unisurf_init.c


randomegd_open.o: compile randomegd_open.c randomegd.h webipc.h djbunix.h
	./compile randomegd_open.c

randomegd_readb.o: compile randomegd_readb.c randomegd.h allreadwrite.h
	./compile randomegd_readb.c

randomegd_readnb.o: compile randomegd_readnb.c randomegd.h allreadwrite.h
	./compile randomegd_readnb.c


unirandomegd.h: unirandom.h
	touch unirandomegd.h

unirandomegd.o: compile unirandomegd.c unirandomegd.h unirandom.h randomegd.h djbunix.h
	./compile unirandomegd.c

unihasegd.o: compile unihasegd.c unirandom.h random-internal.h unirandomegd.h sysdeps.h
	./compile unihasegd.c


unirandomdev.h: unirandom.h
	touch unirandomdev.h

unirandomdev.o: compile unirandomdev.c unirandomdev.h unirandom.h djbunix.h allreadwrite.h
	./compile unirandomdev.c

unidevrandom.o: compile unidevrandom.c unirandom.h random-internal.h unirandomdev.h sysdeps.h
	./compile unidevrandom.c

unidevurandom.o: compile unidevurandom.c unirandom.h random-internal.h unirandomdev.h sysdeps.h
	./compile unidevurandom.c


unirandom.h: surf.h
	touch unirandom.h

unirandom_register.o: compile unirandom_register.c random-internal.h unirandom.h
	./compile unirandom_register.c

unirandom_init.o: compile unirandom_init.c unirandom.h
	./compile unirandom_init.c

unirandom_readb.o: compile unirandom_readb.c unirandom.h
	./compile unirandom_readb.c

unirandom_readnb.o: compile unirandom_readnb.c unirandom.h
	./compile unirandom_readnb.c

unirandom_finish.o: compile unirandom_finish.c unirandom.h
	./compile unirandom_finish.c


rrandom.h: unirandom.h
	touch rrandom.h

rrandom_add.o: compile rrandom_add.c rrandom.h unirandom.h
	./compile rrandom_add.c

rrandom_finish.o: compile rrandom_finish.c rrandom.h unirandom.h
	./compile rrandom_finish.c

rrandom_name.o: compile rrandom_name.c rrandom.h unirandom.h
	./compile rrandom_name.c

rrandom_read.o: compile rrandom_read.c rrandom.h unirandom.h error.h allreadwrite.h
	./compile rrandom_read.c

rrandom_readint.o: compile rrandom_readint.c rrandom.h unirandom.h random-internal.h
	./compile rrandom_readint.c


random_mask2.o: compile random_mask2.c random-internal.h
	./compile random_mask2.c

surf_here.o: compile surf_here.c random-internal.h surf.h
	./compile surf_here.c

badrandom_here.o: compile badrandom_here.c random-internal.h unirandomdev.h unirandomegd.h unisurf.h sysdeps.h
	./compile badrandom_here.c

goodrandom_here.o: compile goodrandom_here.c random-internal.h unirandomdev.h unirandomegd.h unisurf.h sysdeps.h
	./compile goodrandom_here.c


dns_random_init.o: compile dns_random_init.c random.h random-internal.h surf.h tai.h bytestr.h uint32.h
	./compile dns_random_init.c

dns_random.o: compile dns_random.c random.h random-internal.h surf.h
	./compile dns_random.c

dns_random_string.o: compile dns_random_string.c random.h random-internal.h surf.h
	./compile dns_random_string.c


badrandom_init.o: compile badrandom_init.c random.h
	./compile badrandom_init.c

badrandom_finish.o: compile badrandom_finish.c random.h random-internal.h rrandom.h
	./compile badrandom_finish.c

badrandom_string.o: compile badrandom_string.c random.h random-internal.h rrandom.h
	./compile badrandom_string.c

badrandom_int.o: compile badrandom_int.c random.h random-internal.h rrandom.h
	./compile badrandom_int.c

badrandom_char.o: compile badrandom_char.c random.h random-internal.h
	./compile badrandom_char.c


goodrandom_init.o: compile goodrandom_init.c random.h
	./compile goodrandom_init.c

goodrandom_finish.o: compile goodrandom_finish.c random.h random-internal.h random.h rrandom.h
	./compile goodrandom_finish.c

goodrandom_string.o: compile goodrandom_string.c random.h random-internal.h rrandom.h
	./compile goodrandom_string.c

goodrandom_int.o: compile goodrandom_int.c random.h random-internal.h rrandom.h
	./compile goodrandom_int.c

goodrandom_char.o: compile goodrandom_char.c random.h random-internal.h
	./compile goodrandom_char.c


random_name.o: compile random_name.c random.h random-internal.h
	./compile random_name.c

random_sauniquename.o: compile random_sauniquename.c random.h skamisc.h stralloc.h
	./compile random_sauniquename.c


librandom.a: makelib \
surf_sinit.o surf.o surf_makeseed.o surf_init.o surf_autoinit.o \
randomegd_open.o randomegd_readb.o randomegd_readnb.o \
unisurf.o unisurf_init.o \
unirandomegd.o unihasegd.o \
unirandomdev.o unidevrandom.o unidevurandom.o \
unirandom_register.o unirandom_init.o unirandom_finish.o unirandom_readb.o unirandom_readnb.o \
rrandom_add.o rrandom_finish.o rrandom_read.o rrandom_readint.o rrandom_name.o \
random_mask2.o surf_here.o badrandom_here.o goodrandom_here.o \
dns_random.o dns_random_init.o dns_random_string.o \
badrandom_init.o badrandom_finish.o badrandom_string.o badrandom_int.o badrandom_char.o \
goodrandom_init.o goodrandom_finish.o goodrandom_string.o goodrandom_int.o goodrandom_char.o \
random_name.o random_sauniquename.o
	./makelib librandom.a \
	surf_sinit.o surf.o surf_makeseed.o surf_init.o surf_autoinit.o \
	randomegd_open.o randomegd_readb.o randomegd_readnb.o \
	unisurf.o unisurf_init.o \
	unirandomegd.o unihasegd.o \
	unirandomdev.o unidevrandom.o unidevurandom.o \
	unirandom_register.o unirandom_init.o unirandom_finish.o unirandom_readb.o unirandom_readnb.o \
	rrandom_add.o rrandom_finish.o rrandom_read.o rrandom_readint.o rrandom_name.o \
	random_mask2.o surf_here.o badrandom_here.o goodrandom_here.o \
	dns_random.o dns_random_init.o dns_random_string.o \
	badrandom_init.o badrandom_finish.o badrandom_string.o badrandom_int.o badrandom_char.o \
	goodrandom_init.o goodrandom_finish.o goodrandom_string.o goodrandom_int.o goodrandom_char.o \
	random_name.o random_sauniquename.o


command:

include: surf.h unirandom.h rrandom.h random.h

library: librandom.a

library.so:

=== skalibs-0.47/src/libstdcrypto/Makefile ===
it: command include library library.so

clean: EXPORT INTERNAL
	rm -f `cat EXPORT INTERNAL`


stdcrypto.h: rc4.h sha1.h md5.h
	touch stdcrypto.h

rc4.o: compile rc4.c rc4.h bytestr.h
	./compile rc4.c

rc4_init.o: compile rc4_init.c rc4.h bytestr.h
	./compile rc4_init.c

md5.h: uint32.h
	touch md5.h

md5_init.o: compile md5_init.c md5.h uint32.h
	./compile md5_init.c

md5_transform.o: compile md5_transform.c md5_internal.h md5.h uint32.h
	./compile md5_transform.c

md5_update.o: compile md5_update.c md5_internal.h md5.h bytestr.h uint32.h
	./compile md5_update.c

md5_final.o: compile md5_final.c md5_internal.h md5.h uint32.h
	./compile md5_final.c

sha1.h: uint32.h
	touch sha1.h

sha1_init.o: compile sha1_init.c sha1.h
	./compile sha1_init.c

sha1_transform.o: compile sha1_transform.c sha1_internal.h sha1.h uint32.h
	./compile sha1_transform.c

sha1_feed.o: compile sha1_feed.c sha1_internal.h sha1.h uint32.h bytestr.h
	./compile sha1_feed.c

sha1_update.o: compile sha1_update.c sha1_internal.h sha1.h
	./compile sha1_update.c

sha1_final.o: compile sha1_final.c sha1_internal.h sha1.h uint32.h
	./compile sha1_final.c

libstdcrypto.a: makelib \
rc4.o rc4_init.o \
md5_init.o md5_transform.o md5_update.o md5_final.o \
sha1_init.o sha1_transform.o sha1_feed.o sha1_update.o sha1_final.o
	./makelib libstdcrypto.a \
	rc4.o rc4_init.o \
	md5_init.o md5_transform.o md5_update.o md5_final.o \
	sha1_init.o sha1_transform.o sha1_feed.o sha1_update.o sha1_final.o


command:

include: rc4.h md5.h sha1.h stdcrypto.h

library: libstdcrypto.a

library.so:

=== skalibs-0.47/src/libstddjb/Makefile ===
it: command include library library.so

clean: EXPORT INTERNAL
	rm -f `cat EXPORT INTERNAL`


alloc.h: gccattributes.h
	touch alloc.h

alloc_0.h: sysdeps.h alloc.h
	touch alloc_0.h

intalloc.h: gen_alloc.h
	touch intalloc.h

uintalloc.h: gen_alloc.h
	touch uintalloc.h

uintbunch.h: gen_bunch.h uintalloc.h
	touch uintbunch.h

diuintalloc.h: diuint.h gen_alloc.h
	touch diuintalloc.h

diuintbunch.h: gen_bunch.h diuintalloc.h diuint.h
	touch diuintbunch.h

uint16alloc.h: gen_alloc.h uint16.h
	touch uint16alloc.h

uint32alloc.h: gen_alloc.h uint32.h
	touch uint32alloc.h

uint64alloc.h: gen_alloc.h uint64.h
	touch uint64alloc.h

uint32aalloc.h: gen_alloc.h uint32alloc.h
	touch uint32aalloc.h

bitarray.h: uint64alloc.h gccattributes.h
	touch bitarray.h

buffer.h: allreadwrite.h gccattributes.h
	touch buffer.h

bufalloc.h: stralloc.h
	touch bufalloc.h

bytestr.h: gccattributes.h
	touch bytestr.h

caltimedate.h: gccattributes.h
	touch caltimedate.h

env.h: stralloc.h gccattributes.h
	touch env.h

envalloc.h: gen_alloc.h
	touch envalloc.h

fmtscan.h: gccattributes.h uint64.h
	touch fmtscan.h

fmtscan-internal.h: fmtscan.h
	touch fmtscan-internal.h

iobuffer.h: buffer.h
	touch iobuffer.h

gen_alloc.h: alloc.h
	touch gen_alloc.h

gen_bunch.h: gen_alloc.h bitarray.h
	touch gen_bunch.h

stralloc.h: gen_alloc.h gccattributes.h
	touch stralloc.h

strerr.h: gccattributes.h
	touch strerr.h

strerr2.h: strerr.h
	touch strerr2.h

cdb.h: uint32.h gccattributes.h
	touch cdb.h

cdb_make.h: uint32.h buffer.h diuint32alloc.h
	touch cdb_make.h

tai.h: uint64.h gccattributes.h
	touch tai.h

netstring.h: buffer.h stralloc.h
	touch netstring.h

djbunix.h: stralloc.h envalloc.h gccattributes.h env.h
	touch djbunix.h

sig.h: gccattributes.h
	touch sig.h

socket.h: tai.h uint16.h gccattributes.h
	touch socket.h

skamisc.h: buffer.h stralloc.h
	touch skamisc.h

leapsecs_internal.h: tai.h
	touch leapsecs_internal.h

stddjb.h: gccattributes.h uint16.h uint32.h uint64.h alloc.h intalloc.h uintalloc.h uint16alloc.h uint32alloc.h uint64alloc.h allreadwrite.h buffer.h iobuffer.h bytestr.h djbunix.h direntry.h error.h fmtscan.h gen_alloc.h select.h sig.h stralloc.h bufalloc.h cdb.h cdb_make.h strerr2.h tai.h iopause.h sgetopt.h netstring.h skamisc.h caltimedate.h bitarray.h gen_bunch.h uintbunch.h diuint.h diuintalloc.h diuintbunch.h environ.h shglob.h selfpipe.h syssocket.h
	touch stddjb.h

absolutepath.o: compile absolutepath.c skamisc.h djbunix.h stralloc.h
	./compile absolutepath.c

absolutepath_tmp.o: compile absolutepath_tmp.c djbunix.h stralloc.h bytestr.h
	./compile absolutepath_tmp.c

sanitize_read.o: compile sanitize_read.c allreadwrite.h error.h
	./compile sanitize_read.c

allreadwrite.o: compile allreadwrite.c allreadwrite.h error.h
	./compile allreadwrite.c

allread.o: compile allread.c allreadwrite.h
	./compile allread.c

allwrite.o: compile allwrite.c allreadwrite.h
	./compile allwrite.c

alloc_ska.o: compile alloc_ska.c alloc.h alloc_0.h sysdeps.h
	./compile alloc_ska.c

alloc_0.o: compile alloc_0.c alloc_0.h alloc.h sysdeps.h
	./compile alloc_0.c

alloc_djb.o: compile alloc_djb.c alloc.h bytestr.h sysdeps.h
	./compile alloc_djb.c

basename.o: compile basename.c djbunix.h stralloc.h bytestr.h
	./compile basename.c

bitarray.o: compile bitarray.c bitarray.h uint64alloc.h uint64.h
	./compile bitarray.c

bufalloc_init.o: compile bufalloc_init.c bufalloc.h allreadwrite.h
	./compile bufalloc_init.c

bufalloc_clean.o: compile bufalloc_clean.c bufalloc.h bytestr.h
	./compile bufalloc_clean.c

bufalloc_flush.o: compile bufalloc_flush.c bufalloc.h allreadwrite.h
	./compile bufalloc_flush.c

bufalloc_1.o: compile bufalloc_1.c bufalloc.h allreadwrite.h
	./compile bufalloc_1.c

bufalloc_2.o: compile bufalloc_2.c bufalloc.h allreadwrite.h
	./compile bufalloc_2.c

buffer_init.o: compile buffer_init.c buffer.h allreadwrite.h
	./compile buffer_init.c

buffer_clean.o: compile buffer_clean.c buffer.h bytestr.h
	./compile buffer_clean.c

buffer_0.o: compile buffer_0.c buffer.h
	./compile buffer_0.c

buffer_0small.o: compile buffer_0small.c buffer.h
	./compile buffer_0small.c

buffer_1.o: compile buffer_1.c buffer.h
	./compile buffer_1.c

buffer_1small.o: compile buffer_1small.c buffer.h
	./compile buffer_1small.c

buffer_2.o: compile buffer_2.c buffer.h
	./compile buffer_2.c

buffer_bget.o: compile buffer_bget.c buffer.h
	./compile buffer_bget.c

buffer_feed.o: compile buffer_feed.c buffer.h
	./compile buffer_feed.c

buffer_fill.o: compile buffer_fill.c buffer.h
	./compile buffer_fill.c

buffer_flush.o: compile buffer_flush.c buffer.h allreadwrite.h
	./compile buffer_flush.c

buffer_get.o: compile buffer_get.c buffer.h
	./compile buffer_get.c

buffer_getall.o: compile buffer_getall.c buffer.h allreadwrite.h
	./compile buffer_getall.c

buffer_getallnf.o: compile buffer_getallnf.c buffer.h
	./compile buffer_getallnf.c

buffer_getnf.o: compile buffer_getnf.c buffer.h bytestr.h
	./compile buffer_getnf.c

buffer_peek.o: compile buffer_peek.c buffer.h
	./compile buffer_peek.c

buffer_put.o: compile buffer_put.c buffer.h
	./compile buffer_put.c

buffer_putalign.o: compile buffer_putalign.c buffer.h error.h
	./compile buffer_putalign.c

buffer_putall.o: compile buffer_putall.c buffer.h
	./compile buffer_putall.c

buffer_putallf.o: compile buffer_putallf.c buffer.h
	./compile buffer_putallf.c

buffer_putallnf.o: compile buffer_putallnf.c buffer.h
	./compile buffer_putallnf.c

buffer_putc.o: compile buffer_putc.c buffer.h
	./compile buffer_putc.c

buffer_putflush.o: compile buffer_putflush.c buffer.h error.h
	./compile buffer_putflush.c

buffer_putnf.o: compile buffer_putnf.c buffer.h bytestr.h
	./compile buffer_putnf.c

buffer_puts.o: compile buffer_puts.c buffer.h bytestr.h
	./compile buffer_puts.c

buffer_putsalign.o: compile buffer_putsalign.c buffer.h bytestr.h
	./compile buffer_putsalign.c

buffer_putsflush.o: compile buffer_putsflush.c buffer.h bytestr.h
	./compile buffer_putsflush.c

buffer_read.o: compile buffer_read.c buffer.h
	./compile buffer_read.c

buffer_seek.o: compile buffer_seek.c buffer.h
	./compile buffer_seek.c

buffer_unget.o: compile buffer_unget.c buffer.h
	./compile buffer_unget.c

buffer_unput.o: compile buffer_unput.c buffer.h
	./compile buffer_unput.c

buffer_write.o: compile buffer_write.c buffer.h
	./compile buffer_write.c

byte_chr.o: compile byte_chr.c bytestr.h
	./compile byte_chr.c

byte_copy.o: compile byte_copy.c bytestr.h
	./compile byte_copy.c

byte_count.o: compile byte_count.c bytestr.h
	./compile byte_count.c

byte_cr.o: compile byte_cr.c bytestr.h
	./compile byte_cr.c

byte_diff.o: compile byte_diff.c bytestr.h
	./compile byte_diff.c

byte_in.o: compile byte_in.c bytestr.h
	./compile byte_in.c

byte_rchr.o: compile byte_rchr.c bytestr.h
	./compile byte_rchr.c

byte_zero.o: compile byte_zero.c bytestr.h
	./compile byte_zero.c

caldate_fmjd.o: compile caldate_fmjd.c caltimedate.h
	./compile caldate_fmjd.c

caldate_fmt.o: compile caldate_fmt.c caltimedate.h
	./compile caldate_fmt.c

caldate_mjd.o: compile caldate_mjd.c caltimedate.h
	./compile caldate_mjd.c

caldate_norm.o: compile caldate_norm.c caltimedate.h
	./compile caldate_norm.c

caldate_scan.o: compile caldate_scan.c caltimedate.h
	./compile caldate_scan.c

caldate_ster.o: compile caldate_ster.c caltimedate.h
	./compile caldate_ster.c

caltime_fmt.o: compile caltime_fmt.c caltimedate.h
	./compile caltime_fmt.c

caltime_scan.o: compile caltime_scan.c caltimedate.h
	./compile caltime_scan.c

caltime_tai.o: compile caltime_tai.c caltimedate.h tai.h
	./compile caltime_tai.c

caltime_utc.o: compile caltime_utc.c caltimedate.h tai.h uint64.h
	./compile caltime_utc.c

leapsecs_init.o: compile leapsecs_init.c caltimedate.h
	./compile leapsecs_init.c

leapsecs_readf_r.o: compile leapsecs_readf_r.c tai.h caltimedate.h djbunix.h allreadwrite.h alloc.h
	./compile leapsecs_readf_r.c

leapsecs_read_r.o: compile leapsecs_read_r.c tai.h caltimedate.h
	./compile leapsecs_read_r.c

leapsecs_read.o: compile leapsecs_read.c caltimedate.h tai.h leapsecs_internal.h
	./compile leapsecs_read.c

leapsecs_add.o: compile leapsecs_add.c caltimedate.h tai.h leapsecs_internal.h
	./compile leapsecs_add.c

leapsecs_sub.o: compile leapsecs_sub.c caltimedate.h tai.h leapsecs_internal.h
	./compile leapsecs_sub.c

case_diffb.o: compile case_diffb.c bytestr.h
	./compile case_diffb.c

case_diffs.o: compile case_diffs.c bytestr.h
	./compile case_diffs.c

case_lowerb.o: compile case_lowerb.c bytestr.h
	./compile case_lowerb.c

case_lowers.o: compile case_lowers.c bytestr.h
	./compile case_lowers.c

case_upperb.o: compile case_upperb.c bytestr.h
	./compile case_upperb.c

case_uppers.o: compile case_uppers.c bytestr.h
	./compile case_uppers.c

cdb.o: compile cdb.c cdb.h error.h djbunix.h bytestr.h allreadwrite.h uint32.h
	./compile cdb.c

cdb_hash.o: compile cdb_hash.c cdb.h uint32.h
	./compile cdb_hash.c

cdb_make.o: compile cdb_make.c cdb_make.h cdb.h djbunix.h buffer.h uint32.h diuint32.h diuint32alloc.h
	./compile cdb_make.c

cdb_traverse.o: compile cdb_traverse.c cdb.h djbunix.h uint32.h
	./compile cdb_traverse.c

coe.o: compile coe.c djbunix.h
	./compile coe.c

uncoe.o: compile uncoe.c djbunix.h
	./compile uncoe.c

deepsleep.o: compile deepsleep.c djbunix.h iopause.h tai.h
	./compile deepsleep.c

dirname.o: compile dirname.c djbunix.h stralloc.h bytestr.h
	./compile dirname.c

diuint32.h: uint32.h
	touch diuint32.h

diuintalloc.o: compile diuintalloc.c diuintalloc.h diuint.h gen_alloc.h
	./compile diuintalloc.c

diuintalloc_x.o: compile diuintalloc_x.c diuintalloc.h diuint.h gen_alloc.h
	./compile diuintalloc_x.c

diuintbunch.o: compile diuintbunch.c diuintbunch.h gen_bunch.h diuintalloc.h diuint.h
	./compile diuintbunch.c

diuint32alloc.o: compile diuint32alloc.c diuint32alloc.h diuint32.h gen_alloc.h
	./compile diuint32alloc.c

diuint32alloc_x.o: compile diuint32alloc_x.c diuint32alloc.h diuint32.h gen_alloc.h
	./compile diuint32alloc_x.c

diuint32bunch.o: compile diuint32bunch.c diuint32bunch.h gen_bunch.h diuint32alloc.h diuint32.h
	./compile diuint32bunch.c

doublefork.o: compile doublefork.c djbunix.h allreadwrite.h uint16.h
	./compile doublefork.c

dir_close.o: compile dir_close.c direntry.h
	./compile dir_close.c

env_get.o: compile env_get.c environ.h env.h
	./compile env_get.c

env_get2.o: compile env_get2.c env.h bytestr.h
	./compile env_get2.c

env_len.o: compile env_len.c env.h
	./compile env_len.c

env_addmodif.o: compile env_addmodif.c env.h stralloc.h
	./compile env_addmodif.c

env_string.o: compile env_string.c env.h stralloc.h
	./compile env_string.c

envalloc.o: compile envalloc.c envalloc.h gen_alloc.h
	./compile envalloc.c

envalloc_x.o: compile envalloc_x.c envalloc.h gen_alloc.h
	./compile envalloc_x.c

envalloc_0.o: compile envalloc_0.c envalloc.h
	./compile envalloc_0.c

envalloc_make.o: compile envalloc_make.c envalloc.h bytestr.h
	./compile envalloc_make.c

envalloc_reverse.o: compile envalloc_reverse.c envalloc.h gen_alloc.h
	./compile envalloc_reverse.c

envalloc_uniq.o: compile envalloc_uniq.c envalloc.h error.h bytestr.h
	./compile envalloc_uniq.c

envalloc_merge.o: compile envalloc_merge.c env.h envalloc.h bytestr.h
	./compile envalloc_merge.c

error.o: compile error.c error.h
	./compile error.c

error_str.o: compile error_str.c error.h
	./compile error_str.c

error_temp.o: compile error_temp.c error.h
	./compile error_temp.c

fd_chdir.o: compile fd_chdir.c djbunix.h
	./compile fd_chdir.c

fd_copy.o: compile fd_copy.c djbunix.h
	./compile fd_copy.c

fd_copy2.o: compile fd_copy2.c djbunix.h
	./compile fd_copy2.c

fd_move.o: compile fd_move.c djbunix.h
	./compile fd_move.c

fd_move2.o: compile fd_move2.c djbunix.h
	./compile fd_move2.c

fd_close.o: compile fd_close.c djbunix.h
	./compile fd_close.c

fd_read.o: compile fd_read.c allreadwrite.h
	./compile fd_read.c

fd_write.o: compile fd_write.c allreadwrite.h
	./compile fd_write.c

fd_recv.o: compile fd_recv.c allreadwrite.h
	./compile fd_recv.c

=== skalibs-0.47/src/libttymodes/Makefile ===
it: command include library library.so

clean: EXPORT INTERNAL
	rm -f `cat EXPORT INTERNAL`


ttymodes_packt.o: compile ttymodes_packt.c ttymodes.h uint32.h uint64.h
	./compile ttymodes_packt.c

ttymodes_packw.o: compile ttymodes_packw.c ttymodes.h uint16.h
	./compile ttymodes_packw.c

ttymodes_pack.o: compile ttymodes_pack.c ttymodes.h
	./compile ttymodes_pack.c

ttymodes_unpackt.o: compile ttymodes_unpackt.c ttymodes.h uint32.h uint64.h
	./compile ttymodes_unpackt.c

ttymodes_unpackw.o: compile ttymodes_unpackw.c ttymodes.h uint16.h
	./compile ttymodes_unpackw.c

ttymodes_unpack.o: compile ttymodes_unpack.c ttymodes.h
	./compile ttymodes_unpack.c

ttymodes_gett.o: compile ttymodes_gett.c ttymodes.h
	./compile ttymodes_gett.c

ttymodes_getw.o: compile ttymodes_getw.c ttymodes.h sysdeps.h
	./compile ttymodes_getw.c

ttymodes_get.o: compile ttymodes_get.c ttymodes.h
	./compile ttymodes_get.c

ttymodes_sett.o: compile ttymodes_sett.c ttymodes.h
	./compile ttymodes_sett.c

ttymodes_sett_nohang.o: compile ttymodes_sett_nohang.c ttymodes.h
	./compile ttymodes_sett_nohang.c

ttymodes_setw.o: compile ttymodes_setw.c ttymodes.h sysdeps.h
	./compile ttymodes_setw.c

ttymodes_set.o: compile ttymodes_set.c ttymodes.h
	./compile ttymodes_set.c

ttymodes_set_nohang.o: compile ttymodes_set_nohang.c ttymodes.h
	./compile ttymodes_set_nohang.c

ttymodes_raw.o: compile ttymodes_raw.c ttymodes.h
	./compile ttymodes_raw.c

ttymodes_sane.o: compile ttymodes_sane.c ttymodes.h bytestr.h
	./compile ttymodes_sane.c

ttymodes_remote.o: compile ttymodes_remote.c ttymodes.h sysdeps.h
	./compile ttymodes_remote.c

ttymodes_echo_off.o: compile ttymodes_echo_off.c ttymodes.h
	./compile ttymodes_echo_off.c

ttymodes_echo_on.o: compile ttymodes_echo_on.c ttymodes.h
	./compile ttymodes_echo_on.c


libttymodes.a: makelib \
ttymodes_packt.o ttymodes_packw.o ttymodes_pack.o \
ttymodes_unpackt.o ttymodes_unpackw.o ttymodes_unpack.o \
ttymodes_gett.o ttymodes_getw.o ttymodes_get.o \
ttymodes_sett.o ttymodes_sett_nohang.o ttymodes_setw.o ttymodes_set.o ttymodes_set_nohang.o \
ttymodes_raw.o ttymodes_sane.o ttymodes_remote.o ttymodes_echo_off.o ttymodes_echo_on.o
	./makelib libttymodes.a \
	ttymodes_packt.o ttymodes_packw.o ttymodes_pack.o \
	ttymodes_unpackt.o ttymodes_unpackw.o ttymodes_unpack.o \
	ttymodes_gett.o ttymodes_getw.o ttymodes_get.o \
	ttymodes_sett.o ttymodes_sett_nohang.o ttymodes_setw.o ttymodes_set.o ttymodes_set_nohang.o \
	ttymodes_raw.o ttymodes_sane.o ttymodes_remote.o ttymodes_echo_off.o ttymodes_echo_on.o


command:

include: ttymodes.h

library: libttymodes.a

library.so:

=== skalibs-0.47/src/sys/Makefile ===
it: choose compile load makelib warn-auto.sh stupid

clean: EXPORT INTERNAL
	rm -f `cat EXPORT INTERNAL`


compile: conf-cc print-cc.sh warn-auto.sh
	rm -f compile
	/bin/sh print-cc.sh conf-cc > compile
	chmod 555 compile

load: conf-ld conf-stripbins print-ld.sh warn-auto.sh
	rm -f load
	/bin/sh print-ld.sh > load
	chmod 555 load

makelib: conf-striplibs print-ar.sh warn-auto.sh systype
	rm -f makelib
	/bin/sh print-ar.sh > makelib
	chmod 555 makelib

stupid: conf-sp_root conf-category conf-name conf-version conf-home
	touch stupid

=== skalibs-0.47/src/systype/Makefile ===
it: systype

clean: EXPORT INTERNAL
	rm -f `cat EXPORT INTERNAL`


systype: find-systype.sh trycpp.c x86cpuid.c
	/bin/sh find-systype.sh > systype

find-systype.sh: bootcompile bootload
	touch find-systype.sh

bootcompile: conf-cc print-cc.sh warn-auto.sh
	rm -f bootcompile
	/bin/sh print-cc.sh conf-cc > bootcompile
	chmod 555 bootcompile

bootload: conf-ld conf-stripbins print-ld.sh warn-auto.sh
	rm -f bootload
	/bin/sh print-ld.sh > bootload
	chmod 555 bootload

## skalibs 2.7.0.0

=== Makefile ===
#
# This Makefile requires GNU make.
#
# Do not make changes here.
# Use the included .mak files.
#

it: all

make_need := 3.81
ifeq "" "$(strip $(filter $(make_need), $(firstword $(sort $(make_need) $(MAKE_VERSION)))))"
fail := $(error Your make ($(MAKE_VERSION)) is too old. You need $(make_need) or newer)
endif

CC = $(error Please use ./configure first)

-include config.mak
include package/deps.mak

version_m := $(basename $(version))
version_M := $(basename $(version_m))
version_l := $(basename $(version_M))
CPPFLAGS_ALL := $(CPPFLAGS_AUTO) $(CPPFLAGS)
CFLAGS_ALL := $(CFLAGS_AUTO) $(CFLAGS)
LDFLAGS_ALL := $(LDFLAGS_AUTO) $(LDFLAGS)
LDLIBS_ALL := $(LDLIBS_AUTO) $(LDLIBS)
REALCC = $(CROSS_COMPILE)$(CC)
AR := $(CROSS_COMPILE)ar
RANLIB := $(CROSS_COMPILE)ranlib
STRIP := $(CROSS_COMPILE)strip
INSTALL := ./tools/install.sh

TYPES := size uid gid pid time dev ino

ALL_SRCS := $(wildcard src/lib*/*.c)
ALL_DOBJS := $(ALL_SRCS:%.c=%.lo)
ifeq ($(strip $(STATIC_LIBS_ARE_PIC)),)
ALL_SOBJS := $(ALL_SRCS:%.c=%.o)
CFLAGS_SHARED := -fPIC
else
ALL_SOBJS := $(ALL_DOBJS)
CFLAGS_SHARED :=
endif
ALL_LIBS := $(SHARED_LIBS) $(STATIC_LIBS)
BUILT_INCLUDES := \
src/include/$(package)/sysdeps.h \
src/include/$(package)/uint16.h \
src/include/$(package)/uint32.h \
src/include/$(package)/uint64.h \
src/include/$(package)/types.h \
src/include/$(package)/error.h \
src/include/$(package)/ip46.h
ALL_INCLUDES := $(sort $(BUILT_INCLUDES) $(wildcard src/include/$(package)/*.h))
ALL_SYSDEPS := $(wildcard $(sysdeps)/*)
ALL_DATA := $(wildcard src/etc/*)

all: $(ALL_LIBS) $(ALL_INCLUDES) $(ALL_SYSDEPS) $(ALL_DATA)

clean:
	@exec rm -f $(ALL_LIBS) $(ALL_BINS) $(ALL_SOBJS) $(ALL_DOBJS) $(BUILT_INCLUDES)

distclean: clean
	@exec rm -rf config.mak src/include/$(package)/config.h sysdeps.cfg

tgz: distclean
	@. package/info && \
	rm -rf /tmp/$$package-$$version && \
	cp -a . /tmp/$$package-$$version && \
	cd /tmp && \
	tar -zpcv --owner=0 --group=0 --numeric-owner --exclude=.git* -f /tmp/$$package-$$version.tar.gz $$package-$$version && \
	exec rm -rf /tmp/$$package-$$version

strip: $(ALL_LIBS)
ifneq ($(strip $(STATIC_LIBS)),)
	exec $(STRIP) -x -R .note -R .comment -R .note.GNU-stack $(STATIC_LIBS)
endif
ifneq ($(strip $(SHARED_LIBS)),)
	exec $(STRIP) -R .note -R .comment -R .note.GNU-stack $(SHARED_LIBS)
endif

install: install-data install-sysdeps install-dynlib install-lib install-include
install-data: $(ALL_DATA:src/etc/%=$(DESTDIR)$(datadir)/%)
install-sysdeps: $(ALL_SYSDEPS:$(sysdeps)/%=$(DESTDIR)$(sysdepdir)/%)
install-dynlib: $(SHARED_LIBS:lib%.so.xyzzy=$(DESTDIR)$(dynlibdir)/lib%.so)
install-lib: $(STATIC_LIBS:lib%.a.xyzzy=$(DESTDIR)$(libdir)/lib%.a)
install-include: $(ALL_INCLUDES:src/include/$(package)/%.h=$(DESTDIR)$(includedir)/$(package)/%.h)

ifneq ($(exthome),)

$(DESTDIR)$(exthome): $(DESTDIR)$(home)
	exec $(INSTALL) -l $(notdir $(home)) $(DESTDIR)$(exthome)

update: $(DESTDIR)$(exthome)

global-links: $(DESTDIR)$(exthome) $(SHARED_LIBS:lib%.so.xyzzy=$(DESTDIR)$(sproot)/library.so/lib%.so.$(version_M))

$(DESTDIR)$(sproot)/library.so/lib%.so.$(version_M): $(DESTDIR)$(home)/library.so/lib%.so.$(version_M)
	exec $(INSTALL) -D -l ..$(subst $(sproot),,$(exthome))/library.so/$(<F) $@

.PHONY: update global-links

endif

$(DESTDIR)$(datadir)/%: src/etc/%
	exec $(INSTALL) -D -m 644 $< $@

$(DESTDIR)$(sysdepdir)/%: $(sysdeps)/%
	exec $(INSTALL) -D -m 644 $< $@

$(DESTDIR)$(dynlibdir)/%.so: %.so.xyzzy
	$(INSTALL) -D -m 755 $< $@.$(version) && \
	$(INSTALL) -l $(@F).$(version) $@.$(version_m) && \
	$(INSTALL) -l $(@F).$(version_m) $@.$(version_M) && \
	exec $(INSTALL) -l $(@F).$(version_M) $@

$(DESTDIR)$(libdir)/lib%.a: lib%.a.xyzzy
	exec $(INSTALL) -D -m 644 $< $@

$(DESTDIR)$(includedir)/$(package)/%.h: src/include/$(package)/%.h
	exec $(INSTALL) -D -m 644 $< $@

%.o: %.c
	exec $(REALCC) $(CPPFLAGS_ALL) $(CFLAGS_ALL) -c -o $@ $<

%.lo: %.c
	exec $(REALCC) $(CPPFLAGS_ALL) $(CFLAGS_ALL) $(CFLAGS_SHARED) -c -o $@ $<

libskarnet.a.xyzzy: $(ALL_SOBJS)
	exec $(AR) rc $@ $^
	exec $(RANLIB) $@

libskarnet.so.xyzzy: $(ALL_DOBJS)
	exec $(REALCC) -o $@ $(CFLAGS_ALL) $(CFLAGS_SHARED) $(LDFLAGS_ALL) $(LDFLAGS_SHARED) -Wl,-soname,libskarnet.so.$(version_M) $^ $(SOCKET_LIB) $(SPAWN_LIB) $(SYSCLOCK_LIB) $(TAINNOW_LIB) $(TIMER_LIB) $(UTIL_LIB)

.PHONY: it all clean distclean tgz strip install install-data install-sysdeps install-dynlib install-lib install-include

.DELETE_ON_ERROR:

src/include/$(package)/sysdeps.h: $(sysdeps)/sysdeps.h
	exec cat < $< > $@

src/include/$(package)/uint16.h: $(sysdeps)/sysdeps src/headers/bits-header src/headers/bits-footer src/headers/bits-lendian src/headers/bits-bendian src/headers/bits-stdint src/headers/bits-template
	exec tools/gen-bits.sh $(sysdeps)/sysdeps 16 6 7 5 17 > $@

src/include/$(package)/uint32.h: $(sysdeps)/sysdeps src/headers/bits-header src/headers/bits-footer src/headers/bits-lendian src/headers/bits-bendian src/headers/bits-stdint src/headers/bits-template
	exec tools/gen-bits.sh $(sysdeps)/sysdeps 32 11 13 9 33 > $@

src/include/$(package)/uint64.h: $(sysdeps)/sysdeps src/headers/bits-header src/headers/bits-footer src/headers/bits-lendian src/headers/bits-bendian src/headers/bits-stdint src/headers/bits-template src/headers/uint64-ulong64 src/headers/uint64-noulong64
	exec tools/gen-bits.sh $(sysdeps)/sysdeps 64 21 25 17 65 > $@

src/include/$(package)/types.h: src/include/$(package)/uint16.h src/include/$(package)/uint32.h src/include/$(package)/uint64.h $(sysdeps)/sysdeps src/headers/types-header src/headers/types-footer src/headers/unsigned-template src/headers/signed-template
	exec tools/gen-types.sh $(sysdeps)/sysdeps $(TYPES) > $@

src/include/$(package)/error.h: src/include/$(package)/gccattributes.h $(sysdeps)/sysdeps src/headers/error-addrinuse src/headers/error-already src/headers/error-proto src/headers/error-header src/headers/error-footer
	@{ \
	  cat src/headers/error-header ; \
	  if grep -F target: $(sysdeps)/sysdeps | grep -qiF bsd ; then cat src/headers/error-addrinuse ; \
	  else cat src/headers/error-already ; \
	  fi ; \
	  if grep -qF 'eproto: yes' $(sysdeps)/sysdeps ; then : ; \
	  else cat src/headers/error-proto ; \
	  fi ; \
	  exec cat src/headers/error-footer ; \
	} > $@

src/include/$(package)/ip46.h: src/include/$(package)/fmtscan.h src/include/$(package)/socket.h $(sysdeps)/sysdeps src/headers/ip46-header src/headers/ip46-footer src/headers/ip46-with src/headers/ip46-without
	@{ \
	  cat src/headers/ip46-header ; \
	  if $(ipv6) && grep -qF 'ipv6: yes' $(sysdeps)/sysdeps ; then cat src/headers/ip46-with ; \
	  else cat src/headers/ip46-without ; \
	  fi ; \
	  exec cat src/headers/ip46-footer ; \
	} > $@

=== debian/changelog ===
skalibs (2.7.0.0-2) unstable; urgency=medium

  * Install header files to Multi-Arch dir.
  * Update my email to zhsj@debian.org.

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 01 Sep 2018 19:16:19 +0800

skalibs (2.7.0.0-1) experimental; urgency=medium

  * New Maintainer. (Closes: #907093)
  * New upstream release 2.7.0.0.

 -- Shengjing Zhu <i@zhsj.me>  Sun, 26 Aug 2018 21:32:19 +0800

skalibs (0.47-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/rules: add missing build-arch and build-indep targets.
    Thanks to Santiago Vila for the patch.  Closes: #832510
  * Make the build reproducible by sorting the md5sums file.
    Thanks to Valerie R Young for the patch.  Closes: #847030
  * d/control: move the homepage to the Homepage field.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 08 Mar 2017 16:24:06 +0100

skalibs (0.47-1) unstable; urgency=low

  * new upstream version.
  * debian/control: Standards-Version: 3.8.4.0.

 -- Gerrit Pape <pape@smarden.org>  Mon, 19 Apr 2010 22:32:27 +0000

skalibs (0.46-1) unstable; urgency=low

  * debian/implicit: update to a09db2e42c8b6a2d820754d741558e5894944746.
  * new upstream version.
  * switch from tarball-in-tarball to original upstream tarball.
  * debian/rules: target unpack: rename to configure:; instead of unpacking
    copy sources for build against dietlibc; adapt build:, clean:, install:
    targets.
  * debian/control: remove duplicate Architecture: field (closes: #464299).
  * debian/control: Standards-Version: 3.7.3.0.
  * debian/skalibs-doc.docs: adapt paths.
  * debian/rules: don't have upstream build process strip libraries.

 -- Gerrit Pape <pape@smarden.org>  Wed, 06 Feb 2008 10:59:19 +0000

skalibs (0.45-2) unstable; urgency=low

  * debian/control: add Build-Depends: dietlibc-dev [ppc64].
  * debian/rules: add ppc64 to DIET_ARCHS.

 -- Gerrit Pape <pape@smarden.org>  Sun, 13 Mar 2005 14:12:15 +0000

skalibs (0.45-1) unstable; urgency=low

  * new upstream version.
  * debian/copyright: minor.

 -- Gerrit Pape <pape@smarden.org>  Sun, 13 Feb 2005 17:52:54 +0000

skalibs (0.44-1) unstable; urgency=low

  * new upstream version.
  * debian/implicit: update to revision 1.10.
  * debian/skalibs-doc.docs: use generic pathnames.
  * debian/rules: minor cleanup.

 -- Gerrit Pape <pape@smarden.org>  Fri,  5 Nov 2004 17:37:32 +0000

skalibs (0.43-2) unstable; urgency=low

  * debian/rules: install sysdeps in /usr/include/skalibs/sysdeps/ and
    /usr/include/diet/skalibs/sysdeps/; install libraries into
    /usr/lib/diet/lib/; shorten architecture-check; use -g -O2; strip
    libraries; minor.
  * debian/control: Build-Depends: dietlibc-dev (>= 0.26-3) +[amd64].
  * debian/skalibs-dev.README.Debian: minor.

 -- Gerrit Pape <pape@smarden.org>  Mon, 21 Jun 2004 17:20:26 +0000

skalibs (0.43-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Mon, 19 Apr 2004 08:12:40 +0000

skalibs (0.42-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Sun, 11 Apr 2004 11:45:06 +0000

skalibs (0.41-1) unstable; urgency=low

  * new upstream version.
  * debian/implicit: update to revision 1.8.

 -- Gerrit Pape <pape@smarden.org>  Sat,  3 Apr 2004 15:55:28 +0000

skalibs (0.40-1) unstable; urgency=low

  * initial debian package (closes: #231936).

 -- Gerrit Pape <pape@smarden.org>  Tue, 17 Feb 2004 10:01:02 +0000

=== debian/control ===
Source: skalibs
Section: libs
Priority: optional
Maintainer: Shengjing Zhu <zhsj@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper (>= 11),
Standards-Version: 4.2.1
Homepage: https://skarnet.org/software/skalibs/
Vcs-Git: https://salsa.debian.org/zhsj/skalibs.git
Vcs-Browser: https://salsa.debian.org/zhsj/skalibs

Package: skalibs-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libskarnet2.7 (= ${binary:Version}),
 ${misc:Depends},
Description: development files used for building software at skarnet.org
 skalibs is a package centralizing the free software / open source C
 development files used for building all software at skarnet.org: it
 contains essentially general-purpose libraries. You will need to install
 skalibs if you plan to build skarnet.org software. The point is that you
 won't have to download and compile big libraries, and care about
 portability issues, every time you need to build a package: do it only
 once.
 .
 skalibs can also be used as a sound basic start for C development. There
 are a lot of general-purpose libraries out there; but if your main goal is
 to produce small and secure C code with a focus on system programming,
 skalibs might be for you.
 .
 This package contains static and header files.

Package: skalibs-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: documentation of skalibs
 skalibs is a package centralizing the free software / open source C
 development files used for building all software at skarnet.org: it
 contains essentially general-purpose libraries. You will need to install
 skalibs if you plan to build skarnet.org software. The point is that you
 won't have to download and compile big libraries, and care about
 portability issues, every time you need to build a package: do it only
 once.
 .
 skalibs can also be used as a sound basic start for C development. There
 are a lot of general-purpose libraries out there; but if your main goal is
 to produce small and secure C code with a focus on system programming,
 skalibs might be for you.
 .
 This package contains documentation files.

Package: libskarnet2.7
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: library used for building software at skarnet.org
 skalibs is a package centralizing the free software / open source C
 development files used for building all software at skarnet.org: it
 contains essentially general-purpose libraries. You will need to install
 skalibs if you plan to build skarnet.org software. The point is that you
 won't have to download and compile big libraries, and care about
 portability issues, every time you need to build a package: do it only
 once.
 .
 skalibs can also be used as a sound basic start for C development. There
 are a lot of general-purpose libraries out there; but if your main goal is
 to produce small and secure C code with a focus on system programming,
 skalibs might be for you.
 .
 This package contains shared libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --dynlibdir=\$${prefix}/lib/$(DEB_BUILD_MULTIARCH) \
		--libdir=\$${prefix}/lib/$(DEB_BUILD_MULTIARCH) \
		--includedir=\$${prefix}/include/$(DEB_BUILD_MULTIARCH) \
		--sysdepdir=\$${prefix}/lib/$(DEB_BUILD_MULTIARCH)/skalibs/sysdeps

override_dh_auto_configure-indep:
override_dh_auto_build-indep:
override_dh_auto_install-indep:
	mkdir -p debian/tmp/usr/share/doc/skalibs
	cp -aT doc debian/tmp/usr/share/doc/skalibs
